Subject: Re: [BUG] New Kernel Bugs

From: "Kok, Auke" <[email-masked]>
Date: Wed, 14 Nov 2007 10:27:02 -0800

Denys Vlasenko wrote:
> On Wednesday 14 November 2007 00:27, Adrian Bunk wrote:
>> You missed the following in my email:
>> "we slowly scare them away due to the many bug reports without any
>>  reaction."
>>
>> The problem is that bug reports take time. If you go away from easy
>> things like compile errors then even things like describing what does
>> no longer work, ideally producing a scenario where you can reproduce it
>> and verifying whether it was present in previous kernels can easily take
>> many hours that are spent before the initial bug report.
>>
>> If the bug report then gets ignored we discourage the person who sent
>> the bug report to do any work related to the kernel again.
> 
> Cannot agree more. I am in a similar position right now.
> My patch to aic7xxx driver was ubmitted four times
> with not much reaction from scsi guys.
> 
> Finally they replied and asked to rediff it against their
> git tree. I did that and sent patches back. No reply since then.
> 
> And mind you, the patch is not trying to do anything
> complex, it mostly moves code around, removes 'inline',
> adds 'const'. What should I think about it?

this has nothing to do with the bugs on bugzilla.

you're trying to send a janitor patch. It should be logical that the response to
that is not heated or receiving a joyous reception :)

If you have a problem getting your cleanup patch to the driver maintainer, send it
to the subsystem maintainer instead, or even the janitors, or even Adrian Bunk who
will gladly push it to everyone. Or, even to Andrew Morton who will carry it in
-mm for a while and then harrasses the subsystem maintainer to merge it for you!

Cheers,

Auke